Skip to main content
GET
/
v1
/
options
/
quotes
Get Options Quotes
curl --request GET \
  --url https://api.aries.com/v1/options/quotes \
  --header 'Authorization: Bearer <token>'
{ "nextUrl": "https://api.aries.com/v1/options/quotes?next=YXA9NzM2JmFzPSZsaW1pdD0xMDAwJm9yZGVyPWRlc2Mmc29ydD10aW1lc3RhbXAmdGltZXN0YW1wLmx0ZT0yMDIzLTAxLTEzVDIwJTNBNTAlM0EyOC43NjE2MDI4MTZa&ticker=O%3AAAPL230120C00150000", "requestId": "abdd5e0f749621028802750474bc45cc", "results": [ { "askExchange": 312, "askPrice": 0.01, "askSize": 448, "bidExchange": 312, "bidPrice": 0, "bidSize": 0, "sequenceNumber": 397175, "sipTimestamp": 1674225000502655700 }, { "askExchange": 322, "askPrice": 0.03, "askSize": 605, "bidExchange": 322, "bidPrice": 0.02, "bidSize": 946, "sequenceNumber": 1456051843, "sipTimestamp": 1673643028761602800 } ], "status": "OK" }

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

ticker
string
required

Options ticker symbol

Example:

"O:AAPL230120C00150000"

timestamp
string

Query by timestamp (YYYY-MM-DD or nanoseconds)

Example:

"2024-01-15"

timestampFrom
string

From this timestamp (inclusive)

Example:

"2024-01-01"

timestampAfter
string

After this timestamp (exclusive)

Example:

"2024-01-01"

timestampTo
string

To this timestamp (inclusive)

Example:

"2024-01-31"

timestampBefore
string

Before this timestamp (exclusive)

Example:

"2024-01-31"

order
enum<string>

Sort order Sort direction

Available options:
asc,
desc
Example:

"asc"

limit
integer

Maximum number of results

Required range: 1 <= x <= 50000
Example:

1000

sort
string

Sort field

Example:

"timestamp"

next
string

Pagination cursor

Response

Successful response

nextUrl
string

URL for next page of results

requestId
string

Unique request ID

results
object[]

Array of options quote objects

status
string

Status of the response